- Qt 5.15
- Qt GUI
- C++ Classes
- QSurfaceFormat
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QSurfaceFormat

The following members of class QSurfaceFormat are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | setOption(QSurfaceFormat::FormatOptions opt)
`(obsolete)` bool | testOption(QSurfaceFormat::FormatOptions opt) const

## Member Function Documentation

### void QSurfaceFormat::setOption(QSurfaceFormat::FormatOptions opt)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Use setOption(QSurfaceFormat::FormatOption, bool) or setOptions() instead.

Sets the format options to the OR combination of opt and the current format options.

See also options() and testOption().

### bool QSurfaceFormat::testOption(QSurfaceFormat::FormatOptions opt) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Use testOption(QSurfaceFormat::FormatOption) instead.

Returns `true` if any of the options in opt is currently set on this object; otherwise returns false.

See also setOption().